<bugID>1366550<Summary>Consistently remove the dropdown arrow from all type=menu toolbarbuttons in the navigation toolbar</Summary><Description>We currently do this only for known built-in buttons. It makes sense to assume that we'll want the same if we add another menu button, and to treat add-on buttons the same way.

Johann, want to take this? It will make bug 1352358 easier.</Description></bugID>